<#assign tmpl_Type = tmplType>
{
    "id": "${newId()}",
    "type": "fx-form-panel",
    "shape": "panel",
    "props": {
        "size": "",
        "label": "列表",
        "colNum": 0,
        "paddingLeft": 32,
        "paddingRight": 32,
        "shadow": ""
    },
    "children": [{
        "id": "id${newId()}",
        "type": "fx-table",
        "props": {
        "label": "表格",

        "border": true,
        "stripe": true,
        "showHeader": true,
        "fit": true,
        "dataset": "${param.queryDs}",
        "actionWidth": 150
    },
    "slots": {
    <#if (group.fields?size>0)>
    <#assign fields = group.fields>
        "default": [
        <#list fields as col>
        {
                "id": "id${newId()}",
                "type": "fx-table-column",
                "props": {
                    "field": "${col.id}",
                    "label": "${col.label}"
                }
        }<#if col_has_next>,</#if>
        </#list>
    ],
    </#if>
    "button": [
        <#if (tmpl_Type == "model_list")>
        {
            "id": "id${newId()}",
            "type": "fx-button",
            "props": {
                "label": "编辑",
                "type": "text",
                "leftIcon": "edit",
                "action": "button:edit",
                "dataset": "${group.dataset}",
                "link": true,
                "linkType": "",
                "nextAction": "",
                "fxLink": ""
            }
        },
        <#elseif (tmpl_Type == "model_list_card")>
        {
            "id": "id${newId()}",
            "type": "fx-button",
            "props": {
                "label": "编辑",
                "type": "text",
                "leftIcon": "edit",
                "action": "button:edit",
                "link": true,
                "linkType": "dialog",
                "fxLink": "dialog:editDialog",
                "fxLink_text": "${param.editTitle}",
                "dataset": "${param.editDs}"
            }
        },
        </#if>
        {
            "id": "id${newId()}",
            "type": "fx-button",
            "props": {
                "label": "删除",
                "type": "text",
                "leftIcon": "delete-themes",
                "action": "button:remove",
                "preAction": "",
                "link": true,
                "confirm": ""
            }
        }
    ]
},
"events": {}
}
]
},